MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002726ATutorSessionpublic2006-08-19 09:342006-08-29 11:00
Reportergreg 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityunable to reproduce
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3.3 
Summary0002726: hardcoded firstname 2nd last names
Descriptionget_login() and $_SESSION['login']

* In the function it is hard-coded as 1st Name + 2nd Name + Last Name. It constitutes an i18n bug.

http://atutor.ca/view/3/8595/1.html [^]

Not sure about this one. I don't see any hard coding in get_login()
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0002725closeduser2 Name not updated in session when profile is edited 

-  Notes
(0002142)
user2
2006-08-21 07:26

get_login() and $_SESSION['login'] now return a full name. I have some notes on this:
* Bug: The variable is not updated when the profile settings change.
* In the function it is hard-coded as 1st Name + 2nd Name + Last Name. It constitutes an i18n bug.
* Some our scripts use the var exactly as a login. Now we have to edit them and add an extra SQL request. However, once we noticed this, it's not a problem any more, but it can make problems for other users.
* Last but not least. It's strange to see a function and variable called 'login' containing a full name. I think this surrogate was the faster way you chose, but it creates a confusion and has a large bug potential.
(0002145)
user2
2006-08-21 10:37

an admin option should be added specifying what the display name is:
- login
- first second last
- first second last (login)
- first (login)

- Issue History
Date Modified Username Field Change
2006-08-19 09:34 greg New Issue
2006-08-19 09:34 greg Affects version => SVN
2006-08-21 07:26 user2 Note Added: 0002142
2006-08-21 10:35 user2 Relationship added related to 0002725
2006-08-21 10:37 user2 Note Added: 0002145
2006-08-22 10:11 user2 Status new => resolved
2006-08-22 10:11 user2 Fixed in Version => 1.5.4
2006-08-22 10:11 user2 Resolution open => fixed
2006-08-22 10:11 user2 Assigned To => user2
2006-08-29 11:00 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker